<?php
/**
 * @file
 * Output for promo node.
 *
 * Available variables if they are set:
 * $kicker
 * $heading
 * $teaser
 * $node_url
 * $node_url_description
 */

// Construct title attribute.
if (isset($node_url_description)):
  $url_title = ' title="' . $node_url_description . '"';
else:
  $url_title = '';
endif;


// Kicker output.
if (isset($kicker)):
?>
<div class="promo-kicker"><?php print $kicker;?></div>
<?php
endif;
// Heading output.
if (isset($heading)):
?>
<h2 class="promo-heading"><a href="<?php print $node_url;?>"<?php print $url_title;?>><?php print $heading;?></a></h2>
<?php
endif;

// Teaser output.
if (isset($teaser)):
?>
<div class="promo-teaser"><a href="<?php print $node_url;?>"><?php print $teaser;?></a></div>
<?php
endif;
